summaryrefslogtreecommitdiffstats
path: root/data/install_server.sh
diff options
context:
space:
mode:
Diffstat (limited to 'data/install_server.sh')
-rwxr-xr-xdata/install_server.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/data/install_server.sh b/data/install_server.sh
index 597d056b..f8026026 100755
--- a/data/install_server.sh
+++ b/data/install_server.sh
@@ -1,6 +1,12 @@
#!/bin/sh
-TOOLS="git squashfs-tools rsync lighttpd tftpd"
+if [ $# -lt 1 ]; then
+ echo "Usage: $0 <this server's ip>"
+ exit 1
+fi
+SERVER_IP="$1"
+
+TOOLS="git squashfs-tools rsync lighttpd tftpd gcc binutils make"
for tool in $TOOLS; do
echo " ###### Installiere $tool ##########"
@@ -150,7 +156,7 @@ if [ "$ERR" -gt 0 ]; then
exit 1
fi
-cp ipxelinux.0 /srv/openslx/tftp
+cp ipxelinux.0 /srv/openslx/tftp/
echo " ##### Klone das mltk repository ########"